> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all nodes with the Chainstack Platform API

> List every blockchain node deployed across your Chainstack organization using the Platform API. Send a GET request to /v1/nodes/ for the full list.



## OpenAPI

````yaml get /v1/nodes/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v1
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v1/nodes/:
    get:
      tags:
        - Node
      summary: List all Nodes
      description: List all nodes in the networks your organization is part of.
      operationId: listAllNodes
      parameters:
        - $ref: '#/components/parameters/NodeOrdering'
        - $ref: '#/components/parameters/Pagination'
        - $ref: '#/components/parameters/ProjectIdFilter'
        - $ref: '#/components/parameters/OrganizationIdFilter'
        - $ref: '#/components/parameters/NetworkIdFilter'
        - $ref: '#/components/parameters/RegionFilter'
        - $ref: '#/components/parameters/ProviderFilter'
        - $ref: '#/components/parameters/ProtocolFilter'
        - $ref: '#/components/parameters/NodeStatusFilter'
        - $ref: '#/components/parameters/NodeRoleFilter'
        - $ref: '#/components/parameters/NodeTypeFilter'
        - $ref: '#/components/parameters/ArchiveFilter'
        - $ref: '#/components/parameters/PublicNetworkNameFilter'
        - $ref: '#/components/parameters/NameFilter'
        - $ref: '#/components/parameters/NetworkProjectTypeFilter'
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Pagination'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/Node'
              examples:
                list:
                  value:
                    count: 1
                    next: null
                    previous: null
                    results:
                      - id: ND-123-456-789
                        name: My Polygon PoS archive node
                        network: NW-123-456-7
                        organization: RG-123-456
                        type: dedicated
                        role: peer
                        provider: gcloud
                        region: asia-southeast1
                        status: running
                        configuration:
                          archive: true
                        details:
                          mode: archive
                          version: 1.0.6
                          api_namespaces:
                            - net
                            - eth
                            - web3
                            - txpool
                            - debug
                            - parlia
                          graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
                          https_endpoint: https://nd-123-456-789.p2pify.com
                          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
                          auth_username: user-name
                          auth_password: pass-word-pass-word-pass-word
                          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
                        created_at: '2020-06-15T07:38:00.747Z'
                        creator:
                          id: UR-111-111-111
                          email: john.smith@example.com
                          first_name: John
                          last_name: Smith
                          organization:
                            id: RG-123-456
                            name: My organization
          description: ''
      security:
        - APIKeyAuthentication: []
components:
  parameters:
    NodeOrdering:
      name: order_by
      required: false
      in: query
      description: |
        Which field to use when ordering the results.
        <br> Use the `-` prefix to perform descending ordering (`-name`).
      schema:
        type: string
        enum:
          - name
          - created_at
    Pagination:
      name: page
      required: false
      in: query
      description: A page number within the paginated result set.
      schema:
        type: integer
    ProjectIdFilter:
      name: project
      required: false
      in: query
      description: Filter by project ID.
      schema:
        type: string
    OrganizationIdFilter:
      name: organization
      required: false
      in: query
      description: Filter by organization ID.
      schema:
        type: string
    NetworkIdFilter:
      name: network
      required: false
      in: query
      description: Filter by network ID.
      schema:
        type: string
    RegionFilter:
      name: region
      required: false
      in: query
      description: Filter by the region the node is deployed to.
      schema:
        $ref: '#/components/schemas/Region'
    ProviderFilter:
      name: provider
      required: false
      in: query
      description: Filter by the cloud provider of the node.
      schema:
        $ref: '#/components/schemas/Provider'
    ProtocolFilter:
      name: protocol
      required: false
      in: query
      description: Filter by protocol.
      schema:
        $ref: '#/components/schemas/Protocol'
    NodeStatusFilter:
      name: status
      required: false
      in: query
      description: Filter by node status.
      schema:
        $ref: '#/components/schemas/NodeStatusEnum'
    NodeRoleFilter:
      name: role
      required: false
      in: query
      description: Filter by node role.
      schema:
        $ref: '#/components/schemas/NodeRoleEnum'
    NodeTypeFilter:
      name: type
      required: false
      in: query
      description: Filter by node type.
      schema:
        $ref: '#/components/schemas/NodeTypeEnum'
    ArchiveFilter:
      name: archive
      required: false
      in: query
      description: >-
        Filter Ethereum, Polygon PoS, Binance Smart Chain, Avalanche, Fantom,
        and Tezos nodes by the archive mode flag.
      schema:
        type: boolean
    PublicNetworkNameFilter:
      name: public_network
      required: false
      in: query
      description: Filter by public network.
      schema:
        type: string
        example: corda-network-uat
        enum:
          - ethereum-mainnet
          - ethereum-ropsten-testnet
          - ethereum-rinkeby-testnet
          - polygon-pos-mainnet
          - polygon-pos-testnet
          - bsc-mainnet
          - bsc-testnet
          - avalanche-mainnet
          - avalanche-testnet
          - arbitrum-mainnet
          - arbitrum-goerli
          - near-mainnet
          - near-testnet
          - aurora-mainnet
          - aurora-testnet
          - gnosis-mainnet
          - gnosis-testnet
          - cronos-mainnet
          - cronos-testnet
          - fantom-mainnet
          - fantom-testnet
          - starknet-mainnet
          - starknet-testnet
          - harmony-mainnet
          - harmony-devnet
          - tezos-mainnet
          - tezos-testnet
          - fuse-mainnet
          - fuse-testnet
          - bitcoin-mainnet
          - bitcoin-testnet
    NameFilter:
      name: name
      required: false
      in: query
      description: Filter by name.
      schema:
        type: string
    NetworkProjectTypeFilter:
      name: project_type
      required: false
      in: query
      description: Filter by project type.
      schema:
        $ref: '#/components/schemas/ProjectTypeEnum'
  schemas:
    Pagination:
      type: object
      properties:
        count:
          type: integer
          example: 123
          description: Number of the objects in the paginated results.
        next:
          type: string
          nullable: true
          description: Link to the next page.
        previous:
          type: string
          nullable: true
          description: Link to the previous page.
        results:
          type: array
          items:
            type: object
    Node:
      allOf:
        - $ref: '#/components/schemas/BaseNode'
        - type: object
          properties:
            role:
              $ref: '#/components/schemas/NodeRoleEnum'
            configuration:
              $ref: '#/components/schemas/NodeConfiguration'
    Region:
      type: string
      enum:
        - asia-southeast1
        - ap-southeast-1
        - us-west-2
        - us-east-1
        - uksouth
        - eu3
      description: |
        Regions the nodes are deployed to.

        Available for `gcloud`:
        * `asia-southeast1`

        Available for `aws`:
        * `ap-southeast-1`
        * `us-west-2`
        * `us-east-1`

        Available for `azure`:
        * `uksouth`

        Available for `vzo`:
        * `eu3`
    Provider:
      type: string
      enum:
        - aws
        - azure
        - gcloud
        - vzo
      description: >
        Cloud provider.

        <br>See also [Supported cloud
        providers](https://docs.chainstack.com/platform/supported-cloud-hosting-providers).
    Protocol:
      type: string
      enum:
        - ethereum
        - polygon-pos
        - bsc
        - avalanche
        - arbitrum
        - near
        - aurora
        - gnosis
        - cronos
        - fantom
        - starknet
        - harmony
        - tezos
        - fuse
        - bitcoin
      description: >
        Protocol.

        <br>See also [Supported
        protocols](https://docs.chainstack.com/platform/supported-protocols).
    NodeStatusEnum:
      type: string
      description: >
        See more about
        [statuses](https://docs.chainstack.com/platform/view-node-and-network-status).
      readOnly: true
      enum:
        - pending
        - running
        - maintenance
        - failed
        - error
        - stopping
        - stopped
        - starting
    NodeRoleEnum:
      type: string
      description: |
        Role of the node.
        <br>Available roles:
        * `peer` — peer node
      enum:
        - peer
    NodeTypeEnum:
      type: string
      description: >
        Type of the node.

        <br>Available types:

        * `shared` — only for `ethereum`, `polygon-pos`, `bsc`, `avalanche`,
        `fantom`, `tezos`, `bitcoin`

        * `dedicated` — for all protocols
      enum:
        - shared
        - dedicated
    ProjectTypeEnum:
      type: string
      description: |
        Type of the project.
        <br>
        * `public` for public chain project
      enum:
        - public
    BaseNode:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the node.
        network:
          type: string
          description: ID of the network.
        organization:
          type: string
          readOnly: true
          description: ID of the organization that owns this node.
        type:
          $ref: '#/components/schemas/NodeTypeEnum'
        provider:
          $ref: '#/components/schemas/Provider'
        region:
          $ref: '#/components/schemas/Region'
        details:
          allOf:
            - $ref: '#/components/schemas/NodeDetails'
          description: Protocol-specific attributes.
        status:
          $ref: '#/components/schemas/NodeStatusEnum'
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          description: Creator of the network.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the node was created.
    NodeConfiguration:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeConfiguration'
        - $ref: '#/components/schemas/PolygonPoSNodeConfiguration'
        - $ref: '#/components/schemas/BinanceSmartChainNodeConfiguration'
        - $ref: '#/components/schemas/AvalancheNodeConfiguration'
        - $ref: '#/components/schemas/FantomNodeConfiguration'
        - $ref: '#/components/schemas/TezosNodeConfiguration'
        - $ref: '#/components/schemas/SolanaNodeConfiguration'
        - $ref: '#/components/schemas/StarknetNodeConfiguration'
        - $ref: '#/components/schemas/HarmonyNodeConfiguration'
      readOnly: true
    NodeDetails:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeDetails'
        - $ref: '#/components/schemas/BinanceSmartChainNodeDetails'
        - $ref: '#/components/schemas/AvalancheNodeDetails'
        - $ref: '#/components/schemas/FantomNodeDetails'
        - $ref: '#/components/schemas/TezosNodeDetails'
        - $ref: '#/components/schemas/SolanaNodeDetails'
        - $ref: '#/components/schemas/StarknetNodeDetails'
        - $ref: '#/components/schemas/BitcoinNodeDetails'
        - $ref: '#/components/schemas/HarmonyNodeDetails'
      readOnly: true
    Creator:
      type: object
      description: Creator of the object.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        organization:
          allOf:
            - $ref: '#/components/schemas/Object'
          description: Creator's organization.
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: When the object was created.
    EthereumNodeConfiguration:
      type: object
      description: Ethereum node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/ethereum/modes).
    PolygonPoSNodeConfiguration:
      type: object
      description: Polygon PoS node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/polygon/modes).
    BinanceSmartChainNodeConfiguration:
      type: object
      description: Binance Smart Chain node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/bsc/modes).
    AvalancheNodeConfiguration:
      type: object
      description: Avalanche node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/avalanche/modes).
    FantomNodeConfiguration:
      type: object
      description: Fantom node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/fantom/modes).
    TezosNodeConfiguration:
      type: object
      description: Tezos node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/tezos/modes).
        tezos_node_type:
          type: string
          description: |
            Currently 'regular' is the only supported type.
    SolanaNodeConfiguration:
      type: object
      description: Solana node configuration.
    StarknetNodeConfiguration:
      type: object
      description: StarkNet node configuration.
    HarmonyNodeConfiguration:
      type: object
      description: Harmony node configuration.
      properties:
        archive:
          type: boolean
          description: |
            Only `false` (full mode) is currently supported.
        shard:
          type: integer
          minimum: 0
          maximum: 0
          description: |
            Only Shard 0 is currently supported.
    EthereumNodeDetails:
      type: object
      description: Ethereum node details.
      properties:
        mode:
          type: string
          description: >-
            See also [Ethereum node
            modes](https://docs.chainstack.com/operations/ethereum/modes)
          readOnly: true
          enum:
            - full
            - archive
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        beacon_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    BinanceSmartChainNodeDetails:
      type: object
      description: Binance Smart Chain node details.
      properties:
        mode:
          type: string
          description: >-
            See also [Binance Smart Chain node
            modes](https://docs.chainstack.com/operations/bsc/modes)
          readOnly: true
          enum:
            - full
            - archive
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    AvalancheNodeDetails:
      type: object
      description: Avalanche node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    FantomNodeDetails:
      type: object
      description: Fantom node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    TezosNodeDetails:
      type: object
      description: Tezos node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    SolanaNodeDetails:
      type: object
      description: Solana node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    StarknetNodeDetails:
      type: object
      description: StarkNet node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    BitcoinNodeDetails:
      type: object
      description: Bitcoin node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoint.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoint.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoint.
            <br>Only for the owner of the node.
    HarmonyNodeDetails:
      type: object
      description: Harmony node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    Object:
      type: object
      description: Common object representation.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````